//-----------------------------//
// Decoder.h   by:   KennyWood //
//-----------------------------//

#ifndef _DECODER_H_
#define _DECODER_H_

//-----------------------------------------------------------------------------

#include "NagraView.h"

//-----------------------------------------------------------------------------

#define WIDTH  384
#define HEIGHT 287

//-----------------------------------------------------------------------------

extern SHORT     YUVfield [] ;
extern PSHORT rowYUVField [] ;

extern int internalTopAdjust ;

//-----------------------------------------------------------------------------

BOOL Decoder_InitDescrambler () ;

void Decoder_FindBestKey () ;

void Decoder_Descramble ( PSHORT pData   , 
						  PSHORT pSurf   , 
						  int    src_w   , 
						  int    src_h   , 
						  int    dst_w   , 
						  int    dst_h   ,
						  int    dst_bpp , 
						  BOOL   autoFind ) ;

void Decoder_AutoFindCinemascope ( int src_w , int src_h ) ;

void Decoder_ComposeDataFromField ( PSHORT pSurf , 
									int    src_w , 
									int	   src_h , 
									int    dst_w , 
									int    dst_h ) ;

//-----------------------------------------------------------------------------

#endif
