//--------------------------------//
// DirectDraw.h   by:   KennyWood //
//--------------------------------//

#ifndef _DIRECT_DRAW_H_
#define _DIRECT_DRAW_H_

//-----------------------------------------------------------------------------

#include "NagraView.h"

//-----------------------------------------------------------------------------

BOOL DirectDraw_On        () ;
BOOL DirectDraw_Open      ( HWND hWnd   , 
							int  width  , 
							int  height , 
							int  bpp    , 
							int  src_w  , 
							int  src_h ) ;
void DirectDraw_Close     () ;
BOOL DirectDraw_Lock      ( PBYTE* surf ) ;
void DirectDraw_Unlock    () ;
BOOL DirectDraw_GetDC     ( HDC* phDC ) ;
void DirectDraw_ReleaseDC ( HDC   hDC ) ;

BOOL DirectDraw_EraseFrameSurface ( HWND hWnd ) ;

//-----------------------------------------------------------------------------

#endif
