/* ========================================================================
   =================    TVicHW32  DLL interface        =====================
   ==========            Shareware Version 2.2                  ===========
   ==========     Copyright (c) 1997 Victor I.Ishikeev          ===========
   ========================================================================
   ==========         mail to "victor@ivi.ugatu.ac.ru"          ===========
   ======================================================================== */


#if defined(WIN32)

#define VICFN  __stdcall
#else
#define VICFN  __pascal far
#endif // defined(WIN32)

#ifdef __cplusplus
    extern "C" {
#endif



unsigned char  VICFN OpenTVicHW32(void);
void  VICFN CloseTVicHW32(void);

void  VICFN UnmapMemory(void);
void* VICFN MapPhysToLinear(DWORD, DWORD);

void  VICFN SetIRQ(BYTE, void*);
void  VICFN UnMaskIRQ(void);
void  VICFN MaskIRQ(void);
void  VICFN DestroyIRQ(void);
DWORD VICFN GetInterruptCounter(void);
void  VICFN SimulateHWInt(void);

BYTE  VICFN ReadPort(WORD);
WORD  VICFN ReadPortW(WORD);
DWORD VICFN ReadPortL(WORD);
void  VICFN WritePort(WORD, BYTE);
void  VICFN WritePortW(WORD, WORD);
void  VICFN WritePortL(WORD, DWORD);

unsigned char  VICFN TestHardAccess(void);
unsigned char  VICFN IsIRQSet(void);
unsigned char  VICFN IsDriverOpened(void);
unsigned char  VICFN IsMasked(void);
void  VICFN SetHardAccess(unsigned char);

#ifdef __cplusplus
	}
#endif
