//----------------------------//
// Global.h   by:   KennyWood //
//----------------------------//

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

//-----------------------------------------------------------------------------

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

//-----------------------------------------------------------------------------

typedef          int     BOOL ;
typedef unsigned char    BYTE ;
typedef   signed short  SHORT ;
typedef unsigned short USHORT ;
typedef unsigned long   ULONG ;
typedef   BYTE*   PBYTE ;
typedef  SHORT*  PSHORT ;
typedef USHORT* PUSHORT ;
typedef  ULONG*  PULONG ;
typedef    int*    PINT ;

//-----------------------------------------------------------------------------

#define FALSE 0
#define TRUE  1

//-----------------------------------------------------------------------------

extern char appName [] ;
extern char tablesFile [] ;
extern char web [] ;

//-----------------------------------------------------------------------------

#define CX_MARGIN      16
#define MAXCHECKWIDTH  32

#define CY_MARGIN      75
#define MAXCHECKPAIRS  64

#define MAXCHECKLEVELS (MAXCHECKPAIRS * 2)

//-----------------------------------------------------------------------------

#define M_PI    3.141592654
#define M_2PI  (2.0 * M_PI)
#define M_05PI (M_PI / 2.0)

//-----------------------------------------------------------------------------

#define RGB15(r,g,b) (((int)(r))>>3) | ((((int)(g))>>3)<<5) | ((((int)(b))>>3)<<10) ;
#define RGB16(r,g,b) (((int)(r))>>3) | ((((int)(g))>>2)<<5) | ((((int)(b))>>3)<<11) ;

//-----------------------------------------------------------------------------

#endif
