#ifndef __RGBSYSTERHQ__
#define __RGBSYSTERHQ__


#include "Syster.h"


class CRGBSysterHQ : public CSyster
{
   public:
      CRGBSysterHQ
      (
         int   nBreiteQuelle,
         int   nHoeheZiel,
         int   nTestzeilen,
         bool  bRGB15,
         bool  bPalPlus,
         bool  bSchwarzeZeile,
         bool  bSecam
      );

      virtual ~CRGBSysterHQ();

      virtual void DecodeColor
      (
         int **pLinesAddress,
         int  *pSortLines,
         int  *pDestination,
         int   nBreiteZiel,
         int   nErsteSichtbareZeile,
         int   nLetzteSichtbareZeile,
         bool  bBild,
         bool  bDecode,
         bool  bPhase
      );

   private:
      void BaueFarbkorrekturTabelle();

      void inline ZeileAusgebenRGB15
      (
         DWORD *pQuelle,
         DWORD *pZiel,
         short *pColorFaktor
      );

      void inline ZeileAusgebenRGB16
      (
         DWORD *pQuelle,
         DWORD *pZiel,
         short *pColorFaktor
      );

      int    m_nHoeheZiel;
      bool   m_bRGB15;
      bool   m_bSecam;
      char  *m_pCromaPuffer;
      short *m_pFarbkorrektur;
      DWORD *m_pLinePuffer;
};

#endif