//---------------------------------------------------------------------------
// FileName     : drvalloc.cpp
// Created      : 19/11/98
// Project      : Windows kernel device driver for hardware IO
// Author       : Elli
// Note         : This program is free software; you can redistribute it
//                and/or modify it under the terms of the GNU General Public
//                License as published by the Free Software Foundation;
//                either version 2 of the License, or (at your option) any
//                later version.
//
//                This program is distributed in the hope that it will be useful,
//                but WITHOUT ANY WARRANTY; without even the implied warranty of
//                MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//                GNU General Public License for more details.
//
//                You should have received a copy of the GNU General Public
//                License along with this program; if not, write to the Free
//                Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// History      :
//                V 1.00 initial version
//---------------------------------------------------------------------------

#if ! defined (_NTDDK_)
extern "C" {
#include <ntddk.h>
}
#endif

//---------------------------------------------------------------------------
//
//---------------------------------------------------------------------------
void * _cdecl operator new(size_t size )
 {
  PVOID buffer;


  buffer = ExAllocatePoolWithTag(
                                 NonPagedPool,
                                 (ULONG) size
                                 ,0x696C6C65
                                );


  return(buffer);
 }


void _cdecl operator delete( PVOID ptr )
 {
  ExFreePool(ptr);
 }


int _cdecl _purecall()
 {
  DbgPrint(" pure virtual function called\n");
  return(0);
 }





