#ifndef __STARTDIALOG__
#define __STARTDIALOG__


const int PIXELMODE_RGB15 = 0;
const int PIXELMODE_RGB16 = 1;
const int PIXELMODE_YUY2  = 2;
const int PIXELMODE_RGB24 = 3;
const int PIXELMODE_YUY12 = 4;


class CStartDialog  
{
   public:
	   CStartDialog();
	   virtual ~CStartDialog();

	  bool  GetDetectFormat();
	  bool  SetDetectFormat(bool);
	  int   DoModal(HINSTANCE, bool);
      void  FormatSpeichern();
      int   GetErsteZeile();
      int   GetLetzteZeile();
      bool  OptimierungBT();
      bool  PalPlus();
      int   PixelMode();
      int   SetErsteZeile(int);
      int   SetLetzteZeile(int);
      int   ScreenWidth();
      int   ScreenHeight();
      bool  Secam();
      bool  Statistic();
      int   TestZeilen();
      int   VideoWidth();
      int   ZeilenAusgabe();

   private:
      static void  CheckParameter();
      static void  GetDialogData(HWND);
      static void  SetDialogData(HWND);
      static void  ReadINI();
      static void  WriteINI();

      static BOOL CALLBACK StartDialog(HWND, UINT, WPARAM, LPARAM);

      static bool  m_bDetectFormat;  // Xetra
	  static bool  m_bEnableBT;
      static bool  m_bOptimierungBT;
      static bool  m_bPalPlus;
      static bool  m_bSecam;
      static bool  m_bStatistic;
      static int   m_nTestZeilen;
      static int   m_nErsteZeile;
      static int   m_nLetzteZeile;
      static int   m_nPixelMode;
      static int   m_nScreenWidth;
      static int   m_nScreenHeight;
      static int   m_nZeilenAusgabe;
      static int   m_nVideoWidth;
      static int   m_nDisplayMode;
};

#endif
