#ifndef __RGBSYSTER__
#define __RGBSYSTER__


#include "Syster.h"


class CRGBSyster : public CSyster
{
   public:
      CRGBSyster
      (
         int   nBreiteQuelle,
         int   nHoeheZiel,
         int   nTestzeilen,
         bool  bRGB15,
         bool  bPalPlus,
         bool  bSchwarzeZeile,
         bool  bSecam
      );

      virtual ~CRGBSyster();

      virtual void DecodeColor
      (
         int **pLinesAddress,
         int  *pSortLines,
         int  *pDestination,
         int   nBreiteZiel,
         int   nErsteSichtbareZeile,
         int   nLetzteSichtbareZeile,
         bool  bBild,
         bool  bDecode,
         bool  bPhase
      );

   private:
      void BaueYUV2RGBTabelle
      (
         bool  bRGB15
      );

      int     m_nHoeheZiel;
      bool    m_bSecam;

      // Tabelle fr die Farbumwandlung
      USHORT *m_pYUV2RGBTabelle;
};

#endif