#ifndef __YVUSYSTERHQ__
#define __YVUSYSTERHQ__


#include "Syster.h"


class CYVUSysterHQ : public CSyster
{
   public:
      CYVUSysterHQ
      (
         int   nBreiteQuelle,
         int   nHoeheZiel,
         int   nTestzeilen,
         bool  bPalPlus,
         bool  bSchwarzeZeile,
		 bool  bInterpolation
      );

      virtual ~CYVUSysterHQ();

      virtual void DecodeColor
      (
         int **pLinesAddress,
         int  *pSortLines,
         int  *pDestination,
         int   nBreiteZiel,
         int   nErsteSichtbareZeile,
         int   nLetzteSichtbareZeile,
         bool  bBild,
         bool  bDecode,
         bool  bPhase
      );
   private:
      void BaueFarbkorrekturTabelle();

      void inline ZeileAusgeben
      (
         DWORD *pQuelle,
         DWORD *pZiel,
         short *pColorFaktor
      );

      int    m_nHoeheZiel;
      char  *m_pCromaPuffer;
      short *m_pFarbkorrektur;
};

#endif