

PAGE 58,132

HWIO95_DYNAMIC   EQU 1            ; this equate makes the VXD dynamically
HWIO95_DEVICE_ID EQU 0666H        ; hehe
DDK_VERSION      EQU 400h
Create_HWIO95_Service_Table EQU 1

 .386p
 .xlist
 include vmm.inc
 .list




BEGIN_SERVICE_TABLE HWIO95
HWIO95_Service     hwioGetVersion, local
END_SERVICE_TABLE   HWIO95

;============================================================================
;        V I R T U A L   D E V I C E   D E C L A R A T I O N
;============================================================================

DECLARE_VIRTUAL_DEVICE HWIO95, 1, 0, HWIO95_Control, HWIO95_DEVICE_ID,\
                               UNDEFINED_INIT_ORDER,0,0,0



VxD_LOCKED_CODE_SEG

;===========================================================================
;
;   PROCEDURE: hwioControl
;
;   DESCRIPTION:
;    Device control procedure for the hwio95 VxD
;
;   ENTRY:
;    EAX = Control call ID
;
;   EXIT:
;    If carry clear then
;        Successful
;    else
;        Control call failed
;
;   USES:
;    EAX, EBX, ECX, EDX, ESI, EDI, Flags
;
;============================================================================

BEGINPROC HWIO95_Control

  Control_Dispatch   SYS_DYNAMIC_DEVICE_INIT, hwioDynamicInit, sCall
  Control_Dispatch   SYS_DYNAMIC_DEVICE_EXIT, hwioDynamicExit, sCall
  Control_Dispatch   INIT_COMPLETE,           hwioInitComplete, sCall
  Control_Dispatch   W32_DEVICEIOCONTROL,     hwioW32DeviceIOControl, sCall, <ecx, ebx, edx, esi>

  clc
  ret
ENDPROC HWIO95_Control


BEGINPROC hwioGetVersion
  mov eax,100
  clc
  ret
ENDPROC hwioGetVersion

VxD_LOCKED_CODE_ENDS



END












